package ru.dbotthepony.mc.otm.mixin;

import net.minecraft.util.RandomSource;
import net.minecraft.world.level.Level;
import org.jetbrains.annotations.NotNull;
import org.spongepowered.asm.mixin.Mixin;
import ru.dbotthepony.mc.otm.core.IMatteryLevel;
import ru.dbotthepony.mc.otm.core.util.GJRAND64RandomSource;

@Mixin(Level.class)
public abstract class LevelMixin implements IMatteryLevel {
	public final RandomSource otm_random = new GJRAND64RandomSource();

	@Override
	public @NotNull RandomSource getOtmRandom() {
		return otm_random;
	}
}
